## edu.cwru.SimpleRTS.agent
Class BusynessCoordinator

    java.lang.Object
      edu.cwru.SimpleRTS.agent.BusynessCoordinator

All Implemented Interfaces:
  java.io.Serializable

    public class BusynessCoordinator

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`BusynessCoordinator(int player)`

Method Summary
`void` `assignBusy(java.lang.Integer unitID)`
`void` `assignIdle(java.lang.Integer unitID)`
`void` `checkForIdleness(State.StateView state)`
`void` `initialize(State.StateView state)`
`boolean` `isBusy(java.lang.Integer id)`
`boolean` `isIdle(java.lang.Integer id)`
`void` `removeUnit(java.lang.Integer unitID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusynessCoordinator

    public BusynessCoordinator(int player)

Method Detail

### initialize

    public void initialize(State.StateView state)

### isIdle

    public boolean isIdle(java.lang.Integer id)

### isBusy

    public boolean isBusy(java.lang.Integer id)

### removeUnit

    public void removeUnit(java.lang.Integer unitID)

### assignIdle

    public void assignIdle(java.lang.Integer unitID)

### assignBusy

    public void assignBusy(java.lang.Integer unitID)

### checkForIdleness

    public void checkForIdleness(State.StateView state)